%global __python    %{__python3}

%global commit      ae3eff1063a6fc75cf1a99d72470c58ca0333f3e
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate     20140518

Name:           system-config-repo
Version:        0
Release:        14.%{gitdate}git%{shortcommit}%{?dist}
Summary:        Administrate a single yum repository file

License:        MIT
URL:            https://github.com/leamas/system-config-repo
Group:          Development/System
Source0:        %{url}/archive/%{commit}/%{name}-0-%{shortcommit}.tar.gz
                # Created by tools/make_rpm, left in dist directory.
Source1:        version
BuildArch:      noarch

Buildrequires:  python3-devel
BuildRequires:  desktop-file-utils
Requires:       gtk3
Requires:       hicolor-icon-theme
Requires:       python(abi) = %{python3_version}
Requires:       python3-gobject
Requires:       redhat-lsb-core
Requires:       sudo


%description
system-config-repo provides a graphical interface to a single yum repository
file in /etc/yum.repos.d. Using the GUI user can inspect and modify whether
the repository is enabled and/or signed. It's also possible to see the
underlying file.

Application is primarily intended as a GUI for packaged 3rd-party
repositories but is designed to work in a consistent way for any
repository file.


%prep
%setup -qn %{name}-%{commit}
cp %{SOURCE1} version


%build


%install
make DESTDIR=%{buildroot} install
desktop-file-validate \
    %{buildroot}%{_datadir}/applications/system-config-repo.desktop


%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/bin/touch --no-create %{_datadir}/mime/packages &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%files
%doc README.md LICENSE
%{_bindir}/system-config-repo
%{_datadir}/system-config-repo
%{_datadir}/icons/hicolor/*/apps/scr-repo.png
%{_datadir}/icons/hicolor/*/mimetypes/application-x-yum-repositories.png
%{_datadir}/mime/packages/x-yum-repositories.xml
%{_datadir}/applications/system-config-repo.desktop
%{_mandir}/man1/system-config-repo*
%attr(440,-,-) %config(noreplace) /etc/sudoers.d/system-config-repo


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-14.20140518gitae3eff1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-13.20140518gitae3eff1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0-12.20140518gitae3eff1
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-11.20140518gitae3eff1
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-10.20140518gitae3eff1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-9.20140518gitae3eff1
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-8.20140518gitae3eff1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Sep 27 2014 Rex Dieter <rdieter@fedoraproject.org> 0-7.20140518gitae3eff1
- update/optimize mimeinfo scriplets

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-6.20140518gitae3eff1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0-5.20140518gitae3eff1
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun May 18 2014 Alec Leamas <leamas.alec@gmail.com> - 0-4.20140518gitae3eff1
- Fix icon bug, upstream updates.

* Sat Jan 25 2014 Alec Leamas <leamas.alec@gmail.com> - 0-2.20140117git3318cd6
- Adding missing R: redhat-lsb-core (bz #1057824).

* Mon Jan 20 2014 Alec Leamas <leamas.alec@gmail.com> - 1.20140117git3318cd6
- Initial release.
